import { i18n } from '@/lang'
let normal = [
  {
    key: 'typeName',
    name: i18n.t('manage.account.invoiceModule.invoiceType'),
    en: 'Invoice type'
  }, {
    key: 'title',
    name: i18n.t('manage.account.invoiceModule.title'),
    en: 'Invoice Title'
  }, {
    key: 'code',
    name: i18n.t('manage.account.invoiceModule.invoiceShui'),
    en: 'Invoice tax No.'
  }, {
    key: 'emailAddress',
    name: i18n.t('manage.account.invoiceEmail'),
    en: 'E-mail'
  }, {
    key: 'shipMobile',
    name: i18n.t('manage.account.placeholder.shipMobile'),
    en: 'Phone'
  }
]

let zengzhi = [
  {
    key: 'typeName',
    name: i18n.t('manage.account.invoiceModule.invoiceType'),
    en: 'Invoice type'
  }, {
    key: 'title',
    name: i18n.t('manage.account.invoiceModule.title'),
    en: 'Invoice Title'
  }, {
    key: 'code',
    name: i18n.t('manage.account.invoiceModule.invoiceShui'),
    en: 'Invoice tax No.'
  }, {
    key: 'organizedAddress',
    name: i18n.t('manage.account.invoiceModule.address'),
    en: 'Address'
  }, {
    key: 'registerPhone',
    name: i18n.t('manage.account.invoiceModule.phone'),
    en: 'Phone number'
  }, {
    key: 'bankName',
    name: i18n.t('manage.account.invoiceModule.bank'),
    en: 'Banker'
  }, {
    key: 'bankAccount',
    name: i18n.t('manage.account.invoiceModule.bankAccount'),
    en: 'Bank account'
  }, {
    key: 'shipMobile',
    name: i18n.t('manage.account.placeholder.shipMobile'),
    en: 'Phone'
  }

]

let invoice = [
  {
    key: 'createTime',
    en: '申请时间',
    name: '申请时间'
  }, {
    key: 'type',
    en: '发票类型',
    name: '发票类型'
  }, {
    key: 'title',
    en: '发票抬头',
    name: '发票抬头'
  }, {
    key: 'money',
    en: '开票金额',
    name: '开票金额'
  }, {
    key: 'finish',
    en: '状态',
    name: '状态'
  }, {
    key: 'detail',
    name: '操作',
    en: '操作',
    canclick: true
  }
]
export {
  normal,
  zengzhi,
  invoice
}
